Subject: Re: bug#76186: 31.0.50; (recenter 0) sometimes does not recenter as expected

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Feb 2025 22:48:19 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 13 Feb 2025 19:51:35 +0100
> 
> Considering a few key indicators, major preconditions of the cases where
> it works as expected are exactly identical to the cases where it doesn't
> work as expected:
> 
>     0. the frame and window geometry are the same and not atypical,
>        the font is the same and the characters are only ASCII,
>        lines are not overly long and not truncated, no text properties
>        or overlays are used in the example I posted
>     1. the buffer contents are the same in all cases
>     2. point is always at (point-max) when (recenter 0) is invoked
>     3. redispay is always called so that recentering can take effect.

Is position of point-max relative to the bottom of the window also the
same in the cases where this happens and in those it doesn't?